Upload big file

OpenAPI V2

Upload (large) file.

post

Upload a (large) file to the platform.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Body
userIdstring | nullableOptionalExample: [email protected]
fileNamestring | nullableOptionalExample: My file.xbrl
Responses
post
/customer-corner/file/upload-big-file
POST /customer-corner/file/upload-big-file HTTP/1.1
Host: 
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Content-Type: application/json
Accept: */*
Content-Length: 164

{
  "userId": "[email protected]",
  "fileName": "My file.xbrl",
  "file": {
    "data": "PD94bWwgdmVyc2lvbj0...",
    "fileNameNoPath": "My file.xbrl",
    "offset": 1,
    "firstChunk": true,
    "size": 1
  }
}

No content

Was this helpful?